NAME

Paws::IAM::SetSecurityTokenServicePreferences - Arguments for method SetSecurityTokenServicePreferences on Paws::IAM

DESCRIPTION

This class represents the parameters used for calling the method SetSecurityTokenServicePreferences on the AWS Identity and Access Management service. Use the attributes of this class as arguments to method SetSecurityTokenServicePreferences.

You shouldn't make instances of this class. Each attribute should be used as a named argument in the call to SetSecurityTokenServicePreferences.

SYNOPSIS

    my $iam = Paws->service('IAM');
    $iam->SetSecurityTokenServicePreferences(
      GlobalEndpointTokenVersion => 'v1Token',

    );

Values for attributes that are native types (Int, String, Float, etc) can passed as-is (scalar values). Values for complex Types (objects) can be passed as a HashRef. The keys and values of the hashref will be used to instance the underlying object. For the AWS API documentation, see https://docs.aws.amazon.com/goto/WebAPI/iam/SetSecurityTokenServicePreferences

ATTRIBUTES

REQUIRED GlobalEndpointTokenVersion => Str

The version of the global endpoint token. Version 1 tokens are valid only in AWS Regions that are available by default. These tokens do not work in manually enabled Regions, such as Asia Pacific (Hong Kong). Version 2 tokens are valid in all Regions. However, version 2 tokens are longer and might affect systems where you temporarily store tokens.

For information, see Activating and Deactivating STS in an AWS Region (https://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_temp_enable-regions.html) in the IAM User Guide.

Valid values are: "v1Token", "v2Token"

SEE ALSO

This class forms part of Paws, documenting arguments for method SetSecurityTokenServicePreferences in Paws::IAM

BUGS and CONTRIBUTIONS

The source code is located here: https://github.com/pplu/aws-sdk-perl

Please report bugs to: https://github.com/pplu/aws-sdk-perl/issues